Retrieve a product rate plan charge
Authentication
Use Bearer {{token}} in the Authorization header for authentication.
Path parameters
Headers
Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.
If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.
Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.
The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').
An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.
The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.
The minor API version.
For a list of available minor versions, see API upgrades.
Query parameters
The maximum number of results to return in a single page. If the specified pageSize is less than 1 or greater than 99, Zuora will return a 400 error.
A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with next_page=W3sib3JkZXJ=, your subsequent call can include cursor=W3sib3JkZXJ= in order to fetch the next page of the list.
A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. accountnumber.ASC) or descending (e.g. accountnumber.DESC). You cannot sort on properties in arrays. If the array-type properties are specified for the sort[] parameter, they are ignored.
A case-insensitive filter on the list.
A case-insensitive query parameter that allows you to specify which fields are returned in the response.
Specifies whether to include fields with the null value in the response.
- If set to
true, all fields will be returned in the response, including those with thenullvalue. - If set to
false, only fields with non-null values will be returned.
Response headers
This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.
Note that only the following MIME types support gzipped responses:
application/jsonapplication/xmltext/htmltext/csvtext/plain
The request limit quota for the time window closest to exhaustion. See rate limits for more information.
The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.
The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.
The type of the concurrency limit, which can be Default, High-volume transactions, or Object Query.
For more information, see Concurrent request limits.
The total number of the permitted concurrent requests.
For more information, see Concurrent request limits.
The remaining number of the permitted concurrent requests.
For more information, see Concurrent request limits.
Response
Note: This field is only available if you have the Prepaid with Drawdown or Minimum Commitment feature enabled.
This field defines what type of charge it is:
- Standard: Normal charge with no Prepayment or Commitment or Drawdown.
- Prepayment: For recurring charges. Unit or currency based prepaid charge.
- CommitmentTrueUp: For recurring charges. Currency based minimum commitment charge.
- Drawdown: For usage charges. Drawdown from prepaid funds.
- DrawdownAndCreditCommitment: For usage charges. Drawdown from prepaid funds and then credit to minimum commitment funds.
- CreditCommitment: For usage charges. Credit to minimum commitment funds.
Sets the bill cycle day (BCD) for the charge. The BCD determines which day of the month customer is billed. The BCD value in the account can override the BCD in this object.
The billing period for the charge. The start day of the billing period is also called the bill cycle day (BCD).
Note: This field is only available if you have the Prepaid with Drawdown feature enabled.
The way to calculate credit. See Credit Option for more information.
The default quantity.
This field is applicable only for one-time and recurring charges.
The name of the deferred revenue account for this charge.
This feature is in Limited Availability. If you wish to have access to the feature, submit a request at Zuora Global Support.
ID of the class the discount belongs to. The discount class defines the order in which discount product rate plan charges are applied.
For more information, see Manage Discount Classes.
The application scope of the discount charge. For example, if the value of this field is subscription and the value of the applyDiscountTo field is RECURRING, the discount charge applies to all recurring charges in the same subscription as the discount charge.
Note: This field is only available if you have the Prepaid with Drawdown feature enabled.
The conversion rate between Usage UOM and Drawdown UOM for a drawdown charge. Must be a positive number (>0).
Indicates whether to exclude the related invoice items, invoice item adjustments, credit memo items, and debit memo items from revenue accounting.
Note: This field is only available if you have the Order to Revenue or Billing - Revenue Integration feature enabled.
Indicates whether to exclude the related rate plan charges and order line items from revenue accounting.
Note: This field is only available if you have the Order to Revenue or Billing - Revenue Integration feature enabled.
Note: This field is only available if you have the Prepaid with Drawdown feature enabled.
Indicates whether this charge is a prepayment (topup) charge or a drawdown charge.
Note: This field is only available if you have the Prepaid with Drawdown feature enabled.
It determines whether the rollover fields are needed.
Note: This field is only applicable to the Discount - Percentage charge model.
This field indicates whether the discount is to be calculated as stacked discount. Possible values are as follows:
True: This is a stacked discount, which should be calculated by stacking with other discounts.False: This is not a stacked discount, which should be calculated in sequence with other discounts.
For more information, see Stacked discounts.
The number of months for the list price base of the charge. The value of this field is null if you do not set the value of the listPriceBase field to Per_Specific_Months.
The maximum number of units for this charge. This field and the minQuantity field can be used to create a range of units allowed in a product rate plan charge.
The minimum number of units for this charge. This field and the maxQuantity field can be used to create a range of units allowed in a product rate plan charge.
Name of the product rate-plan charge. Not required to be unique.
Specifies the number of periods to use when calculating charges in an overage smoothing charge model.
This field is ued when overage smoothing model is RollingWindow or Rollover.
Note: This field is only available if you have the Prepaid with Drawdown feature enabled.
The type of this charge. It is either a prepayment (topup) charge or a drawdown charge.
Note: This field is only available if you have the Prepaid with Drawdown feature enabled.
The number of units included in a prepayment charge. Must be a positive number (>0).
Note: This field is only available if you have the Prepaid with Drawdown feature enabled.
The total amount of units that end customers can use during a validity period when they subscribe to a prepayment charge.
Applies an automatic price change when a termed subscription is renewed and the following applies:
-
AutomatedPriceChange setting is on
-
Charge type is not one-time
-
Charge model is not discount fixed amount
Specifies the percentage to increase or decrease the price of a termed subscription’s renewal. Use this field if you set the PriceChangeOption value to SpecificPercentageValue.
- AutomatedPriceChange setting is on
- Charge type is not one-time
- Charge model is not discount fixed amount
Values: a decimal between -100 and 100
Note: This field is only available if you have the Charge Level Proration feature enabled.
The charge-level proration option for the product rate plan charge.
Specifies a rating group based on which usage records are rated.
Possible values:
ByBillingPeriod(default): The rating is based on all the usages in a billing period.ByUsageStartDate: The rating is based on all the usages on the same usage start date.ByUsageRecord: The rating is based on each usage record.ByUsageUpload: The rating is based on all the usages in a uploaded usage file (.xlsor.csv).ByGroupId: The rating is based on all the usages in a custom group.
Note:
- The
ByBillingPeriodvalue can be applied for all charge models. - The
ByUsageStartDate,ByUsageRecord, andByUsageUploadvalues can only be applied for per unit, volume pricing, and tiered pricing charge models. - The
ByGroupIdvalue is only available if you have the Active Rating feature enabled. - Use this field only for Usage charges. One-Time Charges and Recurring Charges return
NULL.
Note: This field is only available if you have the Prepaid with Drawdown feature enabled.
This field defines the priority of rollover, which is either first or last.
Note: This field is only available if you have the Prepaid with Drawdown feature enabled.
The period length of the rollover fund.
Note: This field is only available if you have the Prepaid with Drawdown feature enabled.
This field defines the number of rollover periods, it is restricted to 3.
The name of the recognized revenue account for this charge.
- Required when the Allow Blank Accounting Code setting is No.
- Optional when the Allow Blank Accounting Code setting is Yes.
This feature is in Limited Availability. If you wish to have access to the feature, submit a request at Zuora Global Support.
Specifies the smoothing model for an overage smoothing charge model or an tiered with overage model, which is an advanced type of a usage model that avoids spikes in usage charges. If a customer’s usage spikes in a single period, then an overage smoothing model eases overage charges by considering usage and multiple periods.
One of the following values shows which smoothing model will be
applied to the charge when Overage or Tiered with Overage is used:
-
RollingWindowconsiders a number of periods to smooth usage. The rolling window starts and increments forward based on billing frequency. When allowed usage is met, then period resets and a new window begins. -
Rolloverconsiders a fixed number of periods before calculating usage. The net balance at the end of a period is unused usage, which is carried over to the next period’s balance.
When the billing period is set to Specific Months then this positive
integer reflects the number of months for billing period charges.
Specifies whether the charge is taxable; used by Zuora Tax.
Specifies the tax code for taxation rules; used by Zuora Tax.
Specifies how to define taxation for the charge; used by Zuora Tax.
Specifies when to start billing the customer for the charge.
Values: one of the following:
ContractEffectiveis the date when the subscription’s contract goes into effect and the charge is ready to be billed.ServiceActivationis the date when the services or products for a subscription have been activated and the customers have access.CustomerAcceptanceis when the customer accepts the services or products for a subscription.SpecificDateis the date specified.
Determines how Zuora processes usage records for per-unit usage charges.
Shows the tenant-level percentage uplift value for an automatic price change to a termed subscription’s renewal. You set the tenant uplift value in the web-based UI: Settings > Billing > Define Default Subscription Settings.
Note: This field is only available if you have the Prepaid with Drawdown feature enabled.
The period in which the prepayment units are valid to use as defined in a prepayment charge.
Specifies which day of the week as the bill cycle day (BCD) for the charge.
This feature is in Limited Availability. If you wish to have access to the feature, submit a request at Zuora Global Support.
Note: This field is only available if you have the Unbilled Usage feature enabled.
To use this field, you must set the X-Zuora-WSDL-Version request header to 133 or higher. Otherwise, an error occurs.
This field defines the type of commitment. A prepaid charge can be UNIT or CURRENCY. A minimum commitment(in-arrears) charge can only be CURRENCY type. For topup(recurring or one-time) charges, this field indicates what type of funds are created.
- If UNIT, it will create a fund with given prepaidUom.
- If CURRENCY, it will create a fund with the currency amount calculated in list price.
For drawdown(usage) charges, this field indicates what type of funds are drawdown from that created from topup charges.
The type associated with the adjustment liability accounting code.
Note: This field is only available if you have the Zuora Billing - Revenue Integration feature enabled.
The type associated with the adjustment revenue accounting code.
Note: This field is only available if you have the Zuora Billing - Revenue Integration feature enabled.
The type associated with the contract asset accounting code.
Note: This field is only available if you have the Zuora Billing - Revenue Integration feature enabled.
The accounting code for contract liability.
Note: This field is only available if you have the Zuora Billing - Revenue Integration feature enabled.
The accounting code for contract recognized revenue.
Note: This field is only available if you have the Zuora Billing - Revenue Integration feature enabled.
The accounting code for unbilled receivables.
Note: This field is only available if you have the Zuora Billing - Revenue Integration feature enabled.
Describes the Units of Measure (uom) configured in Settings > Billing for the productRatePlanCharges.
Note: This field is only available if you have the Prepaid with Drawdown feature enabled.
Unit of measurement for a drawdown charge.
Note: This field is only available if you have the Prepaid with Drawdown feature enabled.
Unit of measurement for a prepayment charge.